<?php include('cameras_menu.tpl.php'); ?>

<div id="page_table" class="page_content">
	<div>
		<nav id="section_nav">
<?php include('breadcrumb.tpl.php'); ?>
		</nav>

		<div class="tools">
			<div><span class="icon icon_search show_tool"><a data-id="search" class="js" href="javascript:;"><?php echo __('Recherche'); ?></a></span></div>
			<span class="sep">-</span>
			<div><span class="icon icon_options show_tool"><a data-id="options" class="js" href="javascript:;"><?php echo __('Options d\'affichage'); ?></a></span></div>
		</div>

		<form style="display:none" action="<?php echo $tpl['current_url_pageless']; ?>" method="post" class="tool" id="search">
			<fieldset>
				<p class="field" data-help-container="search">
					<label for="search_query"><?php echo __('Rechercher :'); ?></label>
					<input required data-help-icon="search" value="<?php echo $tpl['search']['query']; ?>" class="focus" type="text" name="search_query" id="search_query" maxlength="255" size="50">
				</p>
				<p class="field">
					<span class="icon icon_search_options" onclick="javascript:showhide('#adv_search');"><a href="javascript:;" class="js"><?php echo __('Options de recherche'); ?></a></span>
				</p>
				<div style="display:none" id="adv_search">
					<p class="field">
						<input<?php echo $tpl['search']['all_words'] ? ' checked' : ''; ?> type="checkbox" name="search_options[all_words]" id="search_all_words">
						<label for="search_all_words"><?php echo __('Rechercher tous les mots'); ?></label>
					</p>
					<p class="field">
						<?php echo __('Rechercher dans les champs suivants :'); ?>
					</p>
					<div class="field_sublvl">
						<p class="field">
							<input<?php echo $tpl['search']['columns']['camera_brand_name'] ? ' checked' : ''; ?> type="checkbox" name="search_options[columns][]" value="camera_brand_name" id="search_camera_brand_name">
							<label for="search_camera_brand_name"><?php echo __('Nom'); ?></label>
							&nbsp;
							<input<?php echo $tpl['search']['columns']['camera_brand_url'] ? ' checked' : ''; ?> type="checkbox" name="search_options[columns][]" value="camera_brand_url" id="search_camera_brand_url">
							<label for="search_camera_brand_url"><?php echo __('URL'); ?></label>
						</p>
					</div>
				</div>
				<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
				<input name="search" type="submit" value="<?php echo __('Chercher'); ?>">
			</fieldset>
		</form>

		<form style="display:none" action="<?php echo $tpl['current_url_pageless']; ?>" method="post" class="tool" id="options">
			<fieldset>
				<p class="field">
					<label for="nb_per_page"><?php echo __('Nombre de tags par page :'); ?></label>
					<input required maxlength="3" size="3" value="<?php echo $tpl['options']['nb_per_page']; ?>" name="nb_per_page" id="nb_per_page" type="text" class="focus">
				</p>
				<p class="field">
					<label for="order_by_column"><?php echo __('Trier par :'); ?></label>
					<select name="order_by_column" id="order_by_column">
<?php foreach ($tpl['options']['order_by_column'] as &$i) : ?>
						<option<?php if ($i['selected']) : ?> selected<?php endif; ?> value="<?php echo $i['value']; ?>"><?php echo $i['text']; ?></option>
<?php endforeach; ?>
					</select>
					<select name="order_by_order">
<?php foreach ($tpl['options']['order_by_order'] as &$i) : ?>
						<option<?php if ($i['selected']) : ?> selected<?php endif; ?> value="<?php echo $i['value']; ?>"><?php echo $i['text']; ?></option>
<?php endforeach; ?>
					</select>
				</p>
				<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
				<input name="options" type="submit" value="<?php echo __('Valider'); ?>">
			</fieldset>
		</form>

<?php if ($tpl['objects_count'] > 0) : ?>

<?php include('pagination.tpl.php'); ?>

		<div class="table_form_container">
			<form class="table_form" id="cameras_form" action="<?php echo $tpl['current_url']; ?>" method="post">

				<div id="obj_links_js">
<?php include('object_select.tpl.php'); ?>
				</div>

				<table class="default page">
					<tr>
						<th><?php echo __('Nom'); ?></th>
						<th><?php echo __('URL'); ?></th>
						<th><?php echo __('Fichiers liés'); ?></th>
						<th class="null"></th>
					</tr>
<?php foreach ($tpl['cameras'] as &$i) : ?>
					<tr class="selectable_class">
						<td>
							<input required size="40" maxlength="255" name="cameras[<?php echo $i['id']; ?>][name]" type="text" value="<?php echo $i['name']; ?>">
						</td>
						<td>
							<input required size="40" maxlength="255" name="cameras[<?php echo $i['id']; ?>][url]" type="text" value="<?php echo $i['url']; ?>">
						</td>
						<td class="num">
							<?php if ($i['link']) : ?><a href="<?php echo $i['link']; ?>"><?php echo $i['count']; ?></a><?php else : ?>0<?php endif; ?>
						</td>
						<td class="selectable_zone"><input class="selectable" name="selected[<?php echo $i['id']; ?>]" type="checkbox"></td>
					</tr>
<?php endforeach; ?>
				</table>

				<div id="form_buttons">
					<p id="form_save">
						<input name="save" type="submit" value="<?php echo __('Enregistrer les modifications'); ?>">
					</p>
					<p id="form_actions">
						<label for="selection_action"><?php printf(__('Action sur la sélection (%s) :'), '<span id="select_num">0</span>'); ?></label>
						<select id="selection_action" name="action">
							<optgroup label="<?php echo __('Supprimer'); ?>">
								<option value="delete"><?php echo __('Supprimer'); ?></option>
							</optgroup>
						</select>
						<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
						<input name="selection" disabled class="js_required" type="submit" value="<?php echo __('Valider'); ?>">
					</p>
				</div>
			</form>
		</div>

		<script type="text/javascript">
		var confirm_delete = "<?php echo $tpl['php2js'](__('Supprimer les marques d\'appareils photos sélectionnées ?')); ?>";
		</script>

<?php include('pagination.tpl.php'); ?>

<?php else : ?>
		<br>
		<div class="report_classic">
			<div class="report_msg report_info">
				<p><?php echo isset($_GET['search']) ? __('Aucune marque d\'appareil photo trouvée.') : __('Aucune marque d\'appareil photo.'); ?></p>
			</div>
		</div>
<?php endif; ?>

	</div>
</div>