<form class="page" action="<?php echo $tpl['current_url']; ?>" method="post" enctype="multipart/form-data">
	<fieldset>
		<legend><?php echo __('Avatar actuel'); ?></legend>
		<p id="avatar_current" class="field">
			<img src="<?php echo $tpl['user']['avatar_src']; ?>" alt="<?php echo sprintf(__('Avatar de %s'), $tpl['user']['nickname']); ?>">
		</p>
	</fieldset>
	<fieldset<?php if ($_GET['user_id'] == 1 && $tpl['auth']['id'] != 1) : ?> disabled<?php endif; ?>>
		<legend><?php echo __('Nouvel avatar'); ?></legend>
		<p class="field">
			<input required id="file" name="change" size="35" maxlength="2048" type="file"
				accept="image/jpeg,image/gif,image/png,image/webp">
			<label for="file" class="button_file"><?php echo __('Sélectionner un fichier.'); ?></label>
			<br>
			<?php printf(__('Image au format JPEG, GIF, PNG ou WEBP de %s Mo et %s pixels de coté maximum.'), Avatar::FILE_SIZE_MAX / (1024 * 1024), Avatar::IMAGE_SIZE_MAX); ?>
		</p>
<?php if (!($_GET['user_id'] == 1 && $tpl['auth']['id'] != 1)) : ?>
		<input name="MAX_FILE_SIZE" value="<?php echo Avatar::FILE_SIZE_MAX; ?>" type="hidden">
		<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
		<input name="action" value="change" type="hidden">
		<input type="submit" value="<?php echo __('Envoyer'); ?>">
<?php endif; ?>
	</fieldset>
</form>

<?php if ($_GET['user_id'] == 1 && $tpl['auth']['id'] != 1) : ?>
<div class="report_classic">
	<div class="report_msg report_info">
		<p><?php echo __('Vous n\'avez pas la permission de modifier ce profil.'); ?></p>
	</div>
</div>
<?php else : ?>
<?php if ($tpl['user']['avatar']) : ?>
<form action="<?php echo $tpl['current_url']; ?>" method="post">
	<script type="text/javascript">
	var confirm_delete = "<?php echo $tpl['php2js'](__('Supprimer l\'avatar ?')); ?>";
	</script>
	<fieldset>
		<legend><?php echo __('Suppression'); ?></legend>
		<p class="field">
			<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
			<input name="action" value="delete" type="hidden">
			<input type="submit" value="<?php echo __('Supprimer l\'avatar'); ?>">
		</p>
	</fieldset>
</form>
<?php endif; ?>
<?php endif; ?>