<?php
declare(strict_types = 1);

/**
 * Administration de la galerie.
 *
 * @license http://www.gnu.org/licenses/gpl.html
 * @link http://www.igalerie.org/
 */

require_once(__DIR__ . '/../includes/prepend.php');

if (!defined('CONF_KEY'))
{
	echo ' ';
	header('Location: ./../install/');
	die;
}

require_once(__DIR__ . '/../includes/admin/classes/Admin.class.php');

App::$scriptName = 'admin';
App::$scriptPath = '/' . CONF_ADMIN_DIR . '/';

// Initialisation.
Admin::start();

// Chargement du template.
Template::start();
$tpl =& Template::$data;
require_once(__DIR__ . '/template/default/'
	. (Auth::$connected ? 'index' : 'connection') . '.tpl.php');
?>