<?php $worldmap_params = $tpl['config']('pages_params')['worldmap']; ?>
<div id="obj_grid" data-section="items">
<?php include('grid_container.tpl.php'); ?>

	<div id="obj_panel" style="visibility:hidden">
		<div>
			<ul id="obj_panel_menu">
				<li data-select="1" class="current"><a href="javascript:;"><?php echo __('Informations'); ?></a></li>
				<li data-select="1"><a href="javascript:;"><?php echo __('Modifications'); ?></a></li>
				<li data-select="2"><a href="javascript:;"><?php echo __('Sélection'); ?><span>(0)</span></a></li>
			</ul>
			<a id="obj_panel_extend" data-l10n-extend="<?php echo __('Agrandir'); ?>" data-l10n-reduce="<?php echo __('Réduire'); ?>" title="<?php echo __('Agrandir'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/extend.png"></a>
			<div id="obj_panel_infos">
				<ul class="obj_panel_submenu">
					<li class="current"><a title="<?php echo __('Aperçu'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/image.png"></a></li>
					<li><a title="<?php echo __('Métadonnées EXIF'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/camera.png"></a></li>
					<li><a title="<?php echo __('Statistiques'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/stats.png"></a></li>
					<li><a title="<?php echo __('Mot de passe'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/key.png"></a></li>
				</ul>
				<div class="obj_panel_content" id="obj_panel_preview">
					<h4><?php echo __('Aperçu'); ?></h4>
					<div></div>
					<p></p>
				</div>
				<div class="obj_panel_content" id="obj_panel_camera">
					<h4><?php echo __('Métadonnées EXIF'); ?></h4>
					<div class="report_classic">
						<div class="report_msg report_info"><p><?php echo __('Aucune information disponible.'); ?></p></div>
					</div>
					<ul></ul>
				</div>
				<div class="obj_panel_content" id="obj_panel_stats">
					<h4><?php echo __('Statistiques'); ?></h4>
					<div>
						<ul>
							<li id="obj_panel_stats_filetype"><?php echo __('Type :'); ?> <span></span></li>
							<li id="obj_panel_stats_filesize"><?php echo __('Poids :'); ?> <span></span></li>
							<li id="obj_panel_stats_size"><?php echo __('Dimensions :'); ?> <span></span></li>
							<li id="obj_panel_stats_duration"><?php echo __('Durée :'); ?> <span></span></li>
							<li id="obj_panel_stats_adddt"><?php echo __('Date d\'ajout :'); ?> <span></span></li>
							<li id="obj_panel_stats_user"><?php echo __('Utilisateur :'); ?> <span></span></li>
							<li id="obj_panel_stats_hits"><?php echo __('Nombre de vues :'); ?> <span></span></li>
							<li id="obj_panel_stats_favorites"><?php echo __('Nombre de favoris :'); ?> <span></span></li>
							<li id="obj_panel_stats_comments"><?php echo __('Nombre de commentaires :'); ?> <span></span></li>
							<li id="obj_panel_stats_votes"><?php echo __('Nombre de votes :'); ?> <span></span></li>
							<li id="obj_panel_stats_rating"><?php echo __('Note moyenne :'); ?> <span></span></li>
						</ul>
					</div>
				</div>
				<div class="obj_panel_content" id="obj_panel_password">
					<h4><?php echo __('Mot de passe'); ?></h4>
					<div class="report_classic">
						<div class="report_msg report_info"><p><?php echo __('Aucun mot de passe.'); ?></p></div>
					</div>
					<p></p>
				</div>
			</div>
			<div id="obj_panel_one">
				<ul class="obj_panel_submenu">
					<li class="current"><a title="<?php echo __('Général'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/document.png"></a></li>
					<li><a title="<?php echo __('Édition'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/edit.png"></a></li>
					<li><a title="<?php echo __('Tags'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/tag.png"></a></li>
					<li><a title="<?php echo __('Réglages'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/settings.png"></a></li>
					<li><a title="<?php echo __('Géolocalisation'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/marker.png"></a></li>
					<li><a title="<?php echo __('Mise à jour'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/update.png"></a></li>
					<li><a title="<?php echo __('Suppression'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/delete.png"></a></li>
				</ul>
				<div class="obj_panel_content" id="obj_panel_general">
					<h4><?php echo __('Général'); ?></h4>
					<form method="post">
						<p class="field">
							<label for="edit_status"><?php echo __('État :'); ?></label>
							<br>
							<select id="edit_status" class="focus">
								<option value="1"><?php echo __('Activé'); ?></option>
								<option value="0"><?php echo __('Désactivé'); ?></option>
							</select>
						</p>
						<p class="field">
							<label for="edit_category_parent"><?php echo __('Album :'); ?></label>
							<br>
							<select id="edit_category_parent">
<?php foreach ($tpl['categories_move'] as &$i) : ?>
<?php if ($i['node'] == 'content') : ?>
								<option<?php if ($i['type'] == 'category') : ?> disabled<?php endif; ?> value="<?php echo $i['id']; ?>">
									<?php echo str_repeat('&nbsp;', $i['level'] * 2); ?>
									<?php echo $i['title']; ?>
								</option>
<?php endif; ?>
<?php endforeach; ?>
							</select>
						</p>
						<p class="field">
							<label for="edit_hits"><?php echo __('Nombre de vues :'); ?></label>
							<br>
							<input size="12" maxlength="12" id="edit_hits" type="text">
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_edit">
					<h4><?php echo __('Édition'); ?></h4>
					<form method="post">
						<p class="field">
							<label for="edit_title"><?php echo __('Titre :'); ?></label>
							<input required class="large focus" size="40" maxlength="255" id="edit_title" type="text">
						</p>
						<p class="field">
							<label for="edit_urlname"><?php echo __('URL :'); ?></label>
							<input required class="large" size="40" maxlength="255" id="edit_urlname" type="text">
						</p>
						<p class="field">
							<label for="edit_filename"><?php echo __('Nom de fichier :'); ?></label>
							<input required class="large" size="40" maxlength="255" id="edit_filename" type="text">
						</p>
						<p class="field">
							<label for="edit_crtdt_day"><?php echo __('Date et heure de création :'); ?></label>
							<br>
							<select id="edit_crtdt_day" class="day">
								<option class="date_title" value="-1"><?php echo __('Jour'); ?></option>
<?php for ($n = 1; $n <= 31; $n++) : ?>
								<option value="<?php echo $n; ?>"><?php printf("%'.02d", $n); ?></option>
<?php endfor; ?>
							</select>
							<select class="month">
								<option class="date_title" value="-1"><?php echo __('Mois'); ?></option>
<?php for ($n = 1; $n <= 12; $n++) : ?>
								<option value="<?php echo $n; ?>"><?php echo $tpl['locale']('month:' . $n); ?></option>
<?php endfor; ?>
							</select>
							<select class="year">
								<option class="date_title" value="-1"><?php echo __('Année'); ?></option>
<?php for ($n = 1900; $n <= date('Y'); $n++) : ?>
								<option value="<?php echo $n; ?>"><?php echo $n; ?></option>
<?php endfor; ?>
							</select>
							<br>
							<select class="hour">
								<option class="date_title" value="-1"><?php echo __('Heure'); ?></option>
<?php for ($n = 0; $n <= 23; $n++) : ?>
								<option value="<?php echo $n; ?>"><?php printf("%'.02d", $n); ?></option>
<?php endfor; ?>
							</select>
							:
							<select class="minute">
								<option class="date_title" value="-1"><?php echo __('Minute'); ?></option>
<?php for ($n = 0; $n <= 59; $n++) : ?>
								<option value="<?php echo $n; ?>"><?php printf("%'.02d", $n); ?></option>
<?php endfor; ?>
							</select>
							:
							<select class="second">
								<option class="date_title" value="-1"><?php echo __('Seconde'); ?></option>
<?php for ($n = 0; $n <= 59; $n++) : ?>
								<option value="<?php echo $n; ?>"><?php printf("%'.02d", $n); ?></option>
<?php endfor; ?>
							</select>
							&nbsp;
							<a class="js date_reset" href="javascript:;"><?php echo __('Effacer'); ?></a>
						</p>
						<p class="field">
							<label for="edit_desc"><?php echo __('Description :'); ?></label>
							<span class="html_outer">
								<span class="html_inner">
									<textarea class="large" rows="6" cols="50" id="edit_desc"></textarea>
									<span>HTML</span>
								</span>
							</span>
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_tags">
					<h4><?php echo __('Tags'); ?></h4>
					<form method="post">
						<p class="field">
							<label for="edit_tags"><?php echo __('Tags (séparés par une virgule) :'); ?></label>
							<textarea class="large focus" rows="8" cols="50" id="edit_tags"></textarea>
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_settings">
					<h4><?php echo __('Réglages'); ?></h4>
					<form method="post">
						<p class="field"><?php echo __('Permissions :'); ?></p>
						<p class="field checkbox">
							<input class="focus" id="edit_allow_comments" type="checkbox">
							<label for="edit_allow_comments"><?php echo __('Autoriser les commentaires'); ?></span>
						</p>
						<p class="field checkbox">
							<input id="edit_allow_votes" type="checkbox">
							<label for="edit_allow_votes"><?php echo __('Autoriser les votes'); ?></span>
						</p>
						<p class="field checkbox">
							<input id="edit_allow_download" type="checkbox">
							<label for="edit_allow_download"><?php echo __('Autoriser le téléchargement'); ?></span>
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_map">
					<h4><?php echo __('Géolocalisation'); ?></h4>
					<form method="post" id="geolocation_form">
						<div id="geolocation_worldmap"
							data-lat="<?php echo $worldmap_params['center_lat']; ?>"
							data-long="<?php echo $worldmap_params['center_long']; ?>"
							data-marker="0"
							data-zoom="<?php echo $worldmap_params['zoom']; ?>">
						</div>
						<span id="geolocation_marker" class="icon icon_marker_add"><a class="js" href="javascript:;"><?php echo __('Ajouter le marqueur'); ?></a></span>
						<span id="geolocation_reload" class="icon icon_map"><a class="js" href="javascript:;"><?php echo __('Recharger la carte'); ?></a></span>
						<p class="field">
							<label for="geolocation_latitude"><?php echo __('Latitude :'); ?></label>
							<input class="large focus" name="latitude" size="30" maxlength="99" id="geolocation_latitude" type="text">
						</p>
						<p class="field">
							<label for="geolocation_longitude"><?php echo __('Longitude :'); ?></label>
							<input class="large" name="longitude" size="30" maxlength="99" id="geolocation_longitude" type="text">
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_update">
					<h4><?php echo __('Mise à jour'); ?></h4>
					<form method="post">
						<p class="field">
							<label for="update_item_one"><?php echo __('Action :'); ?></label>
							<br>
							<select id="update_item_one" class="focus">
								<option value="update"><?php echo __('Mettre à jour les informations'); ?></option>
								<option value="delete_resized"><?php echo __('Recréer les images redimensionnées'); ?></option>
							</select>
						</p>
						<input type="submit" value="<?php echo __('Valider'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_delete">
					<h4><?php echo __('Suppression'); ?></h4>
					<form method="post">
						<div class="report_classic">
							<div class="report_msg report_info"><p><?php echo __('Cette action supprimera de façon définitive le fichier ainsi que tous les commentaires et votes qui lui sont liés.'); ?></p></div>
						</div>
						<input class="focus" type="submit" value="<?php echo __('Supprimer le fichier'); ?>">
					</form>
				</div>
			</div>
			<div id="obj_panel_group">
				<ul class="obj_panel_submenu">
					<li class="current"><a title="<?php echo __('État'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/status.png"></a></li>
					<li><a title="<?php echo __('Déplacement'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/move.png"></a></li>
					<li><a title="<?php echo __('Vues'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/eye.png"></a></li>
					<li><a title="<?php echo __('Édition'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/edit.png"></a></li>
					<li><a title="<?php echo __('Tags'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/tag.png"></a></li>
					<li><a title="<?php echo __('Géolocalisation'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/marker.png"></a></li>
					<li><a title="<?php echo __('Mise à jour'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/update.png"></a></li>
					<li><a title="<?php echo __('Suppression'); ?>" href="javascript:;"><img src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/delete.png"></a></li>
				</ul>
				<div class="obj_panel_content" id="obj_panel_group_status">
					<h4><?php echo __('État'); ?></h4>
					<form method="post">
						<p class="field">
							<label for="group_status"><?php echo __('Changer d\'état :'); ?></label>
							<br>
							<select id="group_status" class="focus">
								<option value="1"><?php echo __('Activé'); ?></option>
								<option value="0"><?php echo __('Désactivé'); ?></option>
							</select>
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_group_move">
					<h4><?php echo __('Déplacement'); ?></h4>
					<form method="post">
						<p class="field">
							<label for="group_move"><?php echo __('Déplacer vers :'); ?></label>
							<br>
							<select id="group_move" class="focus">
<?php foreach ($tpl['categories_move'] as &$i) : ?>
<?php if ($i['node'] == 'content') : ?>
								<option<?php if ($i['type'] == 'category') : ?> disabled<?php endif; ?> value="<?php echo $i['id']; ?>">
									<?php echo str_repeat('&nbsp;', $i['level'] * 2); ?>
									<?php echo $i['title']; ?>
								</option>
<?php endif; ?>
<?php endforeach; ?>
							</select>
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_group_views">
					<h4><?php echo __('Vues'); ?></h4>
					<form method="post">
						<p class="field">
							<label for="group_views"><?php echo __('Nombre de vues :'); ?></label>
							<input class="large focus" size="12" maxlength="12" id="group_views" type="text">
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_group_edit">
					<div class="obj_panel_help_icon"><p data-help-icon="mass_edit"></p></div>
					<h4 data-help-container="mass_edit"><?php echo __('Édition en masse'); ?></h4>
					<form method="post">
						<p class="field">
							<label for="group_edit_title"><?php echo __('Titre :'); ?></label>
							<input class="large focus" size="40" maxlength="255" id="group_edit_title" type="text" value="{TITLE}">
						</p>
						<p class="field">
							<label for="group_edit_urlname"><?php echo __('URL :'); ?></label>
							<input class="large" size="40" maxlength="255" id="group_edit_urlname" type="text" value="{URL}">
						</p>
						<p class="field">
							<label for="group_edit_filename"><?php echo __('Nom de fichier :'); ?></label>
							<input class="large" size="40" maxlength="255" id="group_edit_filename" type="text" value="{FILENAME}">
						</p>
						<p class="field">
							<label for="group_edit_crtdt_day"><?php echo __('Date et heure de création :'); ?></label>
							<br>
							<select id="group_edit_crtdt_day" class="day">
								<option class="date_title" value="-1"><?php echo __('Jour'); ?></option>
								<option selected value="{DAY}">{DAY}</option>
<?php for ($n = 1; $n <= 31; $n++) : ?>
								<option value="<?php echo $n; ?>"><?php printf("%'.02d", $n); ?></option>
<?php endfor; ?>
							</select>
							<select class="month">
								<option class="date_title" value="-1"><?php echo __('Mois'); ?></option>
								<option selected value="{MONTH}">{MONTH}</option>
<?php for ($n = 1; $n <= 12; $n++) : ?>
								<option value="<?php echo $n; ?>"><?php echo $tpl['locale']('month:' . $n); ?></option>
<?php endfor; ?>
							</select>
							<select class="year">
								<option class="date_title" value="-1"><?php echo __('Année'); ?></option>
								<option selected value="{YEAR}">{YEAR}</option>
<?php for ($n = 1900; $n <= date('Y'); $n++) : ?>
								<option value="<?php echo $n; ?>"><?php echo $n; ?></option>
<?php endfor; ?>
							</select>
							<br>
							<select class="hour">
								<option class="date_title" value="-1"><?php echo __('Heure'); ?></option>
								<option selected value="{HOUR}">{HOUR}</option>
<?php for ($n = 0; $n <= 23; $n++) : ?>
								<option value="<?php echo $n; ?>"><?php printf("%'.02d", $n); ?></option>
<?php endfor; ?>
							</select>
							:
							<select class="minute">
								<option class="date_title" value="-1"><?php echo __('Minute'); ?></option>
								<option selected value="{MINUTE}">{MINUTE}</option>
<?php for ($n = 0; $n <= 59; $n++) : ?>
								<option value="<?php echo $n; ?>"><?php printf("%'.02d", $n); ?></option>
<?php endfor; ?>
							</select>
							:
							<select class="second">
								<option class="date_title" value="-1"><?php echo __('Seconde'); ?></option>
								<option selected value="{SECOND}">{SECOND}</option>
<?php for ($n = 0; $n <= 59; $n++) : ?>
								<option value="<?php echo $n; ?>"><?php printf("%'.02d", $n); ?></option>
<?php endfor; ?>
							</select>
							&nbsp;
							<a class="js date_reset" href="javascript:;"><?php echo __('Effacer'); ?></a>
						</p>
						<p class="field">
							<label for="group_edit_desc"><?php echo __('Description :'); ?></label>
							<span class="html_outer">
								<span class="html_inner">
									<textarea class="large" rows="6" cols="50" id="group_edit_desc">{DESCRIPTION}</textarea>
									<span>HTML</span>
								</span>
							</span>
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
						<input type="reset" value="<?php echo __('Réinitialiser'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_group_tags">
					<h4><?php echo __('Tags'); ?></h4>
					<form method="post">
						<p class="field checkbox">
							<input id="group_edit_tags_delete_all" type="checkbox">
							<label for="group_edit_tags_delete_all"><?php echo __('Supprimer tous les tags'); ?></span>
						</p>
						<p class="field">
							<label for="group_edit_tags_delete"><?php echo __('Supprimer des tags (séparés par une virgule) :'); ?></label>
							<textarea class="large" rows="5" cols="50" id="group_edit_tags_delete"></textarea>
						</p>
						<p class="field">
							<label for="group_edit_tags_add"><?php echo __('Ajouter des tags (séparés par une virgule) :'); ?></label>
							<textarea class="large focus" rows="5" cols="50" id="group_edit_tags_add"></textarea>
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
						<input type="reset" value="<?php echo __('Réinitialiser'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_group_map">
					<h4><?php echo __('Géolocalisation'); ?></h4>
					<form method="post" id="group_geolocation_form">
						<div id="group_geolocation_worldmap"
							data-lat="<?php echo $worldmap_params['center_lat']; ?>"
							data-long="<?php echo $worldmap_params['center_long']; ?>"
							data-marker="0"
							data-zoom="<?php echo $worldmap_params['zoom']; ?>">
						</div>
						<span id="group_geolocation_marker" class="icon icon_marker_add"><a class="js" href="javascript:;"><?php echo __('Ajouter le marqueur'); ?></a></span>
						<span id="group_geolocation_reload" class="icon icon_map"><a class="js" href="javascript:;"><?php echo __('Recharger la carte'); ?></a></span>
						<p class="field">
							<label for="group_geolocation_latitude"><?php echo __('Latitude :'); ?></label>
							<input class="large focus" size="30" maxlength="99" id="group_geolocation_latitude" type="text">
						</p>
						<p class="field">
							<label for="group_geolocation_longitude"><?php echo __('Longitude :'); ?></label>
							<input class="large" size="30" maxlength="99" id="group_geolocation_longitude" type="text">
						</p>
						<input type="submit" value="<?php echo __('Enregistrer'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_group_update">
					<div class="obj_panel_help_icon"><p data-help-icon="items_update"></p></div>
					<h4 data-help-container="items_update"><?php echo __('Mise à jour'); ?></h4>
					<form method="post">
						<p class="field">
							<label for="update_item_group"><?php echo __('Action :'); ?></label>
							<br>
							<select id="update_item_group" class="focus">
								<option value="update"><?php echo __('Mettre à jour les informations'); ?></option>
								<option value="delete_resized"><?php echo __('Recréer les images redimensionnées'); ?></option>
							</select>
						</p>
						<input type="submit" value="<?php echo __('Valider'); ?>">
					</form>
				</div>
				<div class="obj_panel_content" id="obj_panel_group_delete">
					<h4><?php echo __('Suppression'); ?></h4>
					<form method="post">
						<div class="report_classic">
							<div class="report_msg report_info"><p><?php echo __('Cette action supprimera de façon définitive les fichiers sélectionnés ainsi que tous les commentaires et votes qui leurs sont liés.'); ?></p></div>
						</div>
						<input class="focus" type="submit" value="<?php echo __('Supprimer les fichiers'); ?>">
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
<div id="obj_grid_noresult" style="display:none">
	<br>
	<div class="report_classic">
		<div class="report_msg report_info">
			<p><?php echo __('Aucun fichier trouvé.'); ?></p>
		</div>
	</div>
</div>
<div id="obj_grid_noitem" style="display:none">
	<br>
	<div class="report_classic">
		<div class="report_msg report_info">
			<p><?php echo __('L\'album ne contient aucun fichier.'); ?></p>
		</div>
	</div>
</div>
<script type="text/javascript">
var category_empty_thumb = "<?php echo $tpl['admin']['style']['path']; ?>/cat-empty.png";
var l10n_confirm_delete = "<?php echo $tpl['php2js'](__('Supprimer le fichier ?')); ?>";
var l10n_confirm_group_delete = "<?php echo $tpl['php2js'](__('Supprimer les fichiers sélectionnés ?')); ?>";
var l10n_confirm_group_tags_delete = "<?php echo $tpl['php2js'](__('Supprimer tous les tags de tous les fichiers sélectionnés ?')); ?>";
var l10n_gallery_link = "<?php echo $tpl['php2js'](__('Voir dans la galerie')); ?>";
var l10n_pixels = "<?php echo $tpl['php2js'](__('pixels')); ?>";
var l10n_password = "<?php echo $tpl['php2js'](__('L\'accès à ce fichier est protégé par un mot de passe.')); ?>";
var l10n_password_parent_album = "<?php echo $tpl['php2js'](__('L\'accès à ce fichier est protégé par un mot de passe qui a été placé sur l\'album %s.')); ?>";
var l10n_password_parent_category = "<?php echo $tpl['php2js'](__('L\'accès à ce fichier est protégé par un mot de passe qui a été placé sur la catégorie %s.')); ?>";
</script>