<?php include('options_menu.tpl.php'); ?>

<form action="<?php echo $tpl['current_url_pageless']; ?>" method="post" class="page">
	<fieldset>
		<legend><?php echo __('Général'); ?></legend>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="download_item">
			<input<?php if ($tpl['config']['download_item']) : ?> checked<?php endif; ?> id="download_item" name="config[download_item]" type="checkbox">
			<label for="download_item"><?php echo __('Autoriser le téléchargement des photos et vidéos'); ?></label>
		</p>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="items_recent">
			<input<?php if ($tpl['config']['items_recent']) : ?> checked<?php endif; ?> id="items_recent" name="config[items_recent]" type="checkbox">
			<label for="items_recent"><?php echo __('Mettre en évidence les photos et vidéos récentes'); ?></label>
		</p>
		<div class="field_sublvl">
			<p class="field">
				<label for="items_recent_days"><?php echo __('Durée de nouveauté :'); ?></label>
				<input required value="<?php echo $tpl['config']['items_recent_days']; ?>" id="items_recent_days" name="config[items_recent_days]" type="text" maxlength="4" size="5">
				<?php echo __('jours'); ?>
			</p>
		</div>
	</fieldset>
	<fieldset>
		<legend><?php echo __('Photos'); ?></legend>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="items_resize">
			<input<?php if ($tpl['config']['items_resize']) : ?> checked<?php endif; ?> id="items_resize" name="config[items_resize]" type="checkbox">
			<label for="items_resize"><?php echo __('Redimensionner les photos'); ?></label>
		</p>
		<div class="field_sublvl">
			<p class="field">
				<label for="items_resize_width"><?php echo __('Dimensions maximum :'); ?></label>
				<span class="block">
					<input required value="<?php echo $tpl['config']['items_resize_width']; ?>" id="items_resize_width" name="config[items_resize_width]" type="text" maxlength="5" size="5">
					x
					<input required value="<?php echo $tpl['config']['items_resize_height']; ?>" id="items_resize_height" name="config[items_resize_height]" type="text" maxlength="5" size="5">
					<?php echo __('pixels'); ?>
				</span>
			</p>
			<p class="field">
				<label for="items_resize_quality"><?php echo __('Qualité (entre 0 et 100) :'); ?></label>
				<input required value="<?php echo $tpl['config']['items_resize_quality']; ?>" id="items_resize_quality" name="config[items_resize_quality]" type="text" maxlength="3" size="3">
			</p>
		</div>
	</fieldset>
	<fieldset>
		<legend><?php echo __('Vidéos'); ?></legend>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="video_muted">
			<input<?php if ($tpl['config']['video_muted']) : ?> checked<?php endif; ?> id="video_muted" name="config[video_muted]" type="checkbox">
			<label for="video_muted"><?php echo __('Couper le son des vidéos'); ?></label>
		</p>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="video_loop">
			<input<?php if ($tpl['config']['video_loop']) : ?> checked<?php endif; ?> id="video_loop" name="config[video_loop]" type="checkbox">
			<label for="video_loop"><?php echo __('Lire les vidéos en boucle'); ?></label>
		</p>
	</fieldset>
	<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
	<input type="submit" value="<?php echo __('Enregistrer'); ?>">
</form>