<?php include('users_menu.tpl.php'); ?>
<div id="page_users" class="page_content">
	<div>
		<div id="browse" class="js_box">
			<span id="browse_link" class="icon icon_browse js_box_link"><a class="js" href="javascript:;"><?php echo __('Parcourir'); ?></a></span>
			<div id="browse_content" class="js_box_inner">
				<div id="browse_arrow"></div>
				<div id="browse_inner">
					<p id="browse_search" class="field"><input type="text"></p>
					<div>
						<ul>
							<li<?php if (!isset($_GET['group_id'])) : ?> class="current"<?php endif; ?>>
								<a href="<?php echo $tpl['all_groups_link']; ?>">
									<?php echo __('*Tous'); ?>
								</a>
							</li>
<?php foreach ($tpl['groups'] as &$i) : ?>
<?php if ($i['nb_users'] > 0) : ?>
							<li<?php if (isset($_GET['group_id']) && $_GET['group_id'] == $i['id']) : ?> class="current"<?php endif; ?>>
								<a href="<?php echo $i['link']; ?>"><span><?php echo $i['name']; ?></span></a>
							</li>
<?php endif; ?>
<?php endforeach; ?>
						</ul>
					</div>
				</div>
			</div>
		</div>

		<nav id="section_nav">
<?php include('breadcrumb.tpl.php'); ?>
		</nav>

		<div class="tools">
			<div><span class="icon icon_user_add show_tool<?php if ($tpl['new_user']['fail']) : ?> autoclick<?php endif; ?>"><a data-id="user_add" class="js" href="javascript:;"><?php echo __('Ajouter un utilisateur'); ?></a></span></div>
			<span class="sep">-</span>
			<div><span class="icon icon_search show_tool"><a data-id="search" class="js" href="javascript:;"><?php echo __('Recherche'); ?></a></span></div>
			<span class="sep">-</span>
			<div><span class="icon icon_options show_tool"><a data-id="options" class="js" href="javascript:;"><?php echo __('Options d\'affichage'); ?></a></span></div>
		</div>

		<form style="display:none" action="<?php echo $tpl['current_url_pageless']; ?>" method="post" class="tool" id="user_add">
			<fieldset>
				<p class="field">
					<label for="user_status"><?php echo __('État :'); ?></label>
					<select id="user_status" name="status">
<?php foreach ($tpl['user_status'] as &$i) : ?>
						<option<?php if ($i['current'] && $tpl['new_user']['fail']) : ?> selected<?php endif; ?> value="<?php echo $i['value']; ?>"><?php echo $i['text']; ?></option>
<?php endforeach; ?>
					</select>
				</p>
				<p class="field">
					<label for="user_group"><?php echo __('Groupe :'); ?></label>
					<select id="user_group" name="group_id">
<?php foreach ($tpl['groups'] as &$i) : ?>
<?php if ($i['id'] > 2) : ?>
						<option<?php if ($i['current'] && $tpl['new_user']['fail']) : ?> selected<?php endif; ?> value="<?php echo $i['id']; ?>"><?php echo $i['name']; ?></option>
<?php endif; ?>
<?php endforeach; ?>
					</select>
				</p>
				<p class="field<?php if ($tpl['field_error'] == 'login') : ?> field_error<?php endif; ?>">
					<label for="user_login"><?php echo __('Nom d\'utilisateur :'); ?></label>
					<input required maxlength="<?php echo $tpl['profile_params']['login']['maxlength']; ?>" value="<?php echo ($tpl['new_user']['fail']) ? $tpl['new_user']['login'] : ''; ?>" name="login" id="user_login" type="text" class="focus large">
				</p>
				<p class="field<?php if ($tpl['field_error'] == 'password') : ?> field_error<?php endif; ?>">
					<label for="user_password"><?php echo __('Mot de passe :'); ?></label>
					<input required maxlength="<?php echo $tpl['profile_params']['password']['maxlength']; ?>" value="<?php echo ($tpl['new_user']['fail']) ? $tpl['new_user']['password'] : ''; ?>" name="password" id="user_password" type="password" class="large">
				</p>
				<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
				<input name="user_add" type="submit" value="<?php echo __('Valider'); ?>">
			</fieldset>
		</form>

		<form style="display:none" action="<?php echo $tpl['current_url_pageless']; ?>" method="post" class="tool" id="search">
			<fieldset>
				<p class="field" data-help-container="search">
					<label for="search_query"><?php echo __('Rechercher :'); ?></label>
					<input required data-help-icon="search" value="<?php echo $tpl['search']['query']; ?>" class="focus" type="text" name="search_query" id="search_query" maxlength="255" size="50">
				</p>
				<p class="field">
					<span class="icon icon_search_options" onclick="javascript:showhide('#adv_search');"><a href="javascript:;" class="js"><?php echo __('Options de recherche'); ?></a></span>
				</p>
				<div style="display:none" id="adv_search">
					<p class="field">
						<input<?php echo $tpl['search']['all_words'] ? ' checked' : ''; ?> type="checkbox" name="search_options[all_words]" id="search_all_words">
						<label for="search_all_words"><?php echo __('Rechercher tous les mots'); ?></label>
					</p>
					<p class="field">
						<?php echo __('Rechercher dans les champs suivants :'); ?>
					</p>
					<div class="field_sublvl">
						<p class="field">
							<input<?php echo $tpl['search']['columns']['user_login'] ? ' checked' : ''; ?> type="checkbox" name="search_options[columns][]" value="user_login" id="search_user_login">
							<label for="search_user_login"><?php echo __('Nom d\'utilisateur'); ?></label>
							&nbsp;
							<input<?php echo $tpl['search']['columns']['user_email'] ? ' checked' : ''; ?> type="checkbox" name="search_options[columns][]" value="user_email" id="search_user_email">
							<label for="search_user_email"><?php echo __('Courriel'); ?></label>
							&nbsp;
							<input<?php echo $tpl['search']['columns']['user_website'] ? ' checked' : ''; ?> type="checkbox" name="search_options[columns][]" value="user_website" id="search_user_website">
							<label for="search_user_website"><?php echo __('Site Web'); ?></label>
							&nbsp;
							<input<?php echo $tpl['search']['columns']['user_crtip'] ? ' checked' : ''; ?> type="checkbox" name="search_options[columns][]" value="user_crtip" id="search_user_crtip">
							<label for="search_user_crtip"><?php echo __('IP d\'inscription'); ?></label>
							&nbsp;
							<input<?php echo $tpl['search']['columns']['user_lastvstip'] ? ' checked' : ''; ?> type="checkbox" name="search_options[columns][]" value="user_lastvstip" id="search_user_lastvstip">
							<label for="search_user_lastvstip"><?php echo __('IP de dernière visite'); ?></label>
						</p>
					</div>
					<p class="field">
						<label for="search_status"><?php echo __('Rechercher par état :'); ?></label>
						<select name="search_options[status]" id="search_status">
<?php foreach ($tpl['search']['status'] as &$i) : ?>
							<option<?php echo $i['selected'] ? ' selected' : ''; ?> value="<?php echo $i['value']; ?>"><?php echo $i['text']; ?></option>
<?php endforeach; ?>
						</select>
					</p>
					<p class="field">
						<input<?php echo $tpl['search']['date'] ? ' checked' : ''; ?> id="search_date" type="checkbox" name="search_options[date]">
						<label for="search_date"><?php echo __('Rechercher par date :'); ?></label>
					</p>
					<div class="field_sublvl">
						<p class="field">
							<input<?php echo $tpl['search']['date_column'] == 'user_crtdt' ? ' checked' : ''; ?> id="search_date_column_user_crtdt" type="radio" name="search_options[date_column]" value="user_crtdt">
							<label for="search_date_column_user_crtdt"><?php echo __('Date d\'inscription'); ?></label>
							&nbsp;
							<input<?php echo $tpl['search']['date_column'] == 'user_lastvstdt' ? ' checked' : ''; ?> id="search_date_column_user_lastvstdt" type="radio" name="search_options[date_column]" value="user_lastvstdt">
							<label for="search_date_column_user_lastvstdt"><?php echo __('Date de dernière visite'); ?></label>
						</p>
<?php include('search_date.tpl.php'); ?>
					</div>
				</div>
				<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
				<input name="search" type="submit" value="<?php echo __('Chercher'); ?>">
			</fieldset>
		</form>

		<form style="display:none" action="<?php echo $tpl['current_url_pageless']; ?>" method="post" class="tool" id="options">
			<fieldset>
				<p class="field">
					<label for="nb_per_page"><?php echo __('Nombre d\'utilisateurs par page :'); ?></label>
					<input required maxlength="3" size="3" value="<?php echo $tpl['options']['nb_per_page']; ?>" name="nb_per_page" id="nb_per_page" type="text" class="focus">
				</p>
				<p class="field">
					<label for="order_by_column"><?php echo __('Trier par :'); ?></label>
					<select name="order_by_column" id="order_by_column">
<?php foreach ($tpl['options']['order_by_column'] as &$i) : ?>
						<option<?php if ($i['selected']) : ?> selected<?php endif; ?> value="<?php echo $i['value']; ?>"><?php echo $i['text']; ?></option>
<?php endforeach; ?>
					</select>
					<select name="order_by_order">
<?php foreach ($tpl['options']['order_by_order'] as &$i) : ?>
						<option<?php if ($i['selected']) : ?> selected<?php endif; ?> value="<?php echo $i['value']; ?>"><?php echo $i['text']; ?></option>
<?php endforeach; ?>
					</select>
				</p>
				<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
				<input name="options" type="submit" value="<?php echo __('Valider'); ?>">
			</fieldset>
		</form>

<?php if ($tpl['objects_count'] > 0) : ?>

<?php include('pagination.tpl.php'); ?>

		<div id="obj_links_js">
			<form>
				<a class="js" href="javascript:show_all();"><?php echo __('Tout montrer'); ?></a>
				<span class="sep">-</span>
				<a class="js" href="javascript:hide_all();"><?php echo __('Tout cacher'); ?></a>
				&nbsp;<?php echo __('pour'); ?>&nbsp;
				<select id="show_items">
					<option value="obj_fold"><?php echo __('Tout'); ?></option>
					<option value="obj_fold_infos"><?php echo __('Informations'); ?></option>
					<option value="obj_fold_stats"><?php echo __('Statistiques'); ?></option>
				</select>
			</form>
<?php include('object_select.tpl.php'); ?>
		</div>

		<form id="obj_form" action="<?php echo $tpl['current_url']; ?>" method="post">

<?php foreach ($tpl['users'] as &$i) : ?>
			<div id="obj_<?php echo $i['id']; ?>" class="selectable_class obj<?php if ($i['pending']) : ?> obj_pending<?php endif; ?><?php if ($i['deactivated']) : ?> obj_deactivated<?php endif; ?><?php if (!$i['activated']) : ?> obj_invisible<?php endif; ?>">
				<div class="obj_body">
					<div class="obj_image">
						<a title="<?php echo __('Modifier l\'avatar'); ?>" href="<?php echo $tpl['link']('user-avatar/' . $i['id']); ?>">
							<img
								alt="<?php printf(__('Avatar de %s'), $i['nickname']); ?>"
								src="<?php echo $i['avatar_thumb_src']; ?>">
						</a>
					</div>
					<div class="obj_infos">
						<div class="obj_basics">
							<p class="obj_title">
								<span class="obj_title_link">
									<a title="<?php echo __('Éditer le profil'); ?>" href="<?php echo $tpl['link']('user/' . $i['id']); ?>"><?php echo $i['nickname']; ?></a>
								</span>
<?php if ($i['gallery_link']) : ?>
								<a title="<?php echo __('Voir dans la galerie'); ?>" class="obj_gallery_link" href="<?php echo $i['gallery_link']; ?>"></a>
<?php endif; ?>
							</p>
							<p class="obj_status"><?php echo $i['status_text']; ?></p>
						</div>
						<div class="obj_details">
							<p class="obj_links">
<?php if ($tpl['profile_activated']) : ?>
								<span class="icon icon_profile show_parts"><a data-id="obj_fold_infos_<?php echo $i['id']; ?>" class="js" href="javascript:;"><?php echo __('Informations'); ?></a></span>
								&nbsp;-&nbsp;
<?php endif; ?>
								<span class="icon icon_stats show_parts"><a data-id="obj_fold_stats_<?php echo $i['id']; ?>" class="js" href="javascript:;"><?php echo __('Statistiques'); ?></a></span>
							</p>
							<p class="obj_cat">
								<a title="<?php echo __('Éditer le groupe'); ?>" href="<?php echo $tpl['link']('group/' . $i['group_id']); ?>"><?php echo $i['group_name']; ?></a>
<?php if ($i['superadmin']) : ?>
								<img title="<?php echo __('Super-Administrateur'); ?>" width="16" height="16" src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/crown.png">
<?php elseif ($i['admin']) : ?>
								<img title="<?php echo __('Administrateur'); ?>" width="16" height="16" src="<?php echo $tpl['admin']['style']['path']; ?>/icons/16x16/medal.png">
<?php endif; ?>
							</p>
						</div>
					</div>
					<div class="obj_checkbox selectable_zone">
						<input<?php if (!$i['perm_delete']) : ?> disabled<?php endif; ?> class="selectable" name="selected[<?php echo $i['id']; ?>]" type="checkbox">
					</div>
				</div>
<?php if ($tpl['profile_activated']) : ?>
				<div class="obj_fold obj_fold_infos" id="obj_fold_infos_<?php echo $i['id']; ?>">
					<table class="light">
<?php if ($tpl['profile_params']['nickname']['activated']) : ?>
						<tr>
							<td><?php echo __('Nom d\'utilisateur'); ?></td>
							<td><?php echo $i['login']; ?></td>
						</tr>
						<tr>
							<td><?php echo __('Pseudonyme'); ?></td>
							<td><?php echo $i['nickname'] != '' ? $i['nickname'] : '/'; ?></td>
						</tr>
<?php endif; ?>
<?php if ($tpl['profile_params']['name']['activated']) : ?>
						<tr>
							<td><?php echo __('Nom'); ?></td>
							<td><?php echo $i['name'] != '' ? $i['name'] : '/'; ?></td>
						</tr>
<?php endif; ?>
<?php if ($tpl['profile_params']['firstname']['activated']) : ?>
						<tr>
							<td><?php echo __('Prénom'); ?></td>
							<td><?php echo $i['firstname'] != '' ? $i['firstname'] : '/'; ?></td>
						</tr>
<?php endif; ?>
<?php if ($tpl['profile_params']['gender']['activated']) : ?>
						<tr>
							<td><?php echo __('Genre'); ?></td>
							<td><?php echo $i['gender']; ?></td>
						</tr>
<?php endif; ?>
<?php if ($tpl['profile_params']['birthdate']['activated']) : ?>
						<tr>
							<td><?php echo __('Date de naissance'); ?></td>
							<td><?php echo $i['birthdate'] != '' ? $i['birthdate'] : '/'; ?></td>
						</tr>
<?php endif; ?>
<?php if ($tpl['profile_params']['email']['activated']) : ?>
						<tr>
							<td><?php echo __('Courriel'); ?></td>
							<td><?php echo $i['email'] != '' ? '<a class="ex" href="mailto:' . $i['email'] . '">' . $i['email'] . '</a>' : '/'; ?></td>
						</tr>
<?php endif; ?>
<?php if ($tpl['profile_params']['website']['activated']) : ?>
						<tr>
							<td><?php echo __('Site Web'); ?></td>
							<td><?php echo $i['website'] != '' ? '<a class="ex" href="' . $i['website'] . '">' . $i['website'] . '</a>' : '/'; ?></td>
						</tr>
<?php endif; ?>
<?php if ($tpl['profile_params']['location']['activated']) : ?>
						<tr>
							<td><?php echo __('Localisation'); ?></td>
							<td><?php echo $i['location'] != '' ? $i['location'] : '/'; ?></td>
						</tr>
<?php endif; ?>
<?php if ($tpl['profile_params']['description']['activated']) : ?>
						<tr>
							<td><?php echo __('Description'); ?></td>
							<td><?php echo $i['description'] != '' ? nl2br($i['description']) : '/'; ?></td>
						</tr>
<?php endif; ?>
<?php for ($n = 1; $n <= 5; $n++) : ?>
<?php if ($tpl['profile_params']['custom_' . $n]['activated']) : ?>
						<tr>
							<td><?php echo $tpl['profile_custom'][$n]; ?></td>
							<td><?php echo $i['custom_' . $n] != '' ? $i['custom_' . $n] : '/'; ?></td>
						</tr>
<?php endif; ?>
<?php endfor; ?>
					</table>
				</div>
<?php endif; ?>
				<div class="obj_fold obj_fold_stats" id="obj_fold_stats_<?php echo $i['id']; ?>">
<?php include('user_stats.tpl.php'); ?>
				</div>
			</div>
<?php endforeach; ?>

			<div id="form_buttons">
				<p id="form_actions">
					<label for="selection_action"><?php printf(__('Action sur la sélection (%s) :'), '<span id="select_num">0</span>'); ?></label>
					<select id="selection_action" name="action">
						<optgroup label="<?php echo __('État'); ?>">
							<option value="activate"><?php echo __('Activer'); ?></option>
							<option value="deactivate"><?php echo __('Désactiver'); ?></option>
						</optgroup>
						<optgroup label="<?php echo __('Groupe'); ?>">
							<option class="sublist" data-id="list_groups" value="change_group"><?php echo __('Changer le groupe'); ?></option>
						</optgroup>
						<optgroup label="<?php echo __('Supprimer'); ?>">
							<option value="delete"><?php echo __('Supprimer'); ?></option>
						</optgroup>
					</select>
					<select class="action_second" id="list_groups" name="group_id">
<?php foreach ($tpl['groups'] as &$i) : ?>
<?php if ($i['id'] > 2) : ?>
						<option value="<?php echo $i['id']; ?>"><?php echo $i['name']; ?></option>
<?php endif; ?>
<?php endforeach; ?>
					</select>
					<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
					<input name="selection" disabled class="js_required" type="submit" value="<?php echo __('Valider'); ?>">
				</p>
			</div>
		</form>

		<script type="text/javascript">
		var confirm_delete = "<?php echo $tpl['php2js'](__('Supprimer les utilisateurs sélectionnés ?')); ?>";
		</script>

<?php include('pagination.tpl.php'); ?>

<?php else : ?>
		<br>
		<div class="report_classic">
			<div class="report_msg report_info">
				<p><?php echo (isset($_GET['search'])) ? __('Aucun utilisateur trouvé.') : __('Aucun utilisateur en attente.'); ?></p>
			</div>
		</div>
<?php endif; ?>

	</div>
</div>