<?php include('users_menu.tpl.php'); ?>

<form action="<?php echo $tpl['current_url_pageless']; ?>" method="post" class="page">
	<fieldset>
		<legend><?php echo __('Général'); ?></legend>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="users_online">
			<input<?php if ($tpl['config']['users_online']) : ?> checked<?php endif; ?> id="users_online" name="config[users_online]" type="checkbox">
			<label for="users_online"><?php echo __('Afficher les membres en ligne'); ?></label>
		</p>
		<div class="field_sublvl">
			<p class="field">
				<label for="users_online_duration"><?php echo __('Durée pendant laquelle un membre est considéré comme en ligne depuis sa dernière visite :'); ?></label>
				<input value="<?php echo $tpl['config']['users_online_duration']; ?>" id="users_online_duration" name="config[users_online_duration]" type="text" maxlength="5" size="5">
				<?php echo __('secondes'); ?>
			</p>
		</div>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="users_only_members">
			<input<?php if ($tpl['config']['users_only_members']) : ?> checked<?php endif; ?> id="users_only_members" name="config[users_only_members]" type="checkbox">
			<label for="users_only_members"><?php echo __('Interdire l\'accès à la galerie pour les invités'); ?></label>
		</p>
	</fieldset>
	<fieldset>
		<legend><?php echo __('Inscriptions'); ?></legend>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="users_registration">
			<input<?php if ($tpl['config']['users_registration']) : ?> checked<?php endif; ?> id="users_registration" name="config[users_registration]" type="checkbox">
			<label for="users_registration"><?php echo __('Autoriser les nouvelles inscriptions'); ?></label>
		</p>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="users_registration_valid_admin">
			<input<?php if ($tpl['config']['users_registration_valid_admin']) : ?> checked<?php endif; ?> id="users_registration_valid_admin" name="config[users_registration_valid_admin]" type="checkbox">
			<label for="users_registration_valid_admin"><?php echo __('Valider les inscriptions par un administrateur'); ?></label>
		</p>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="users_registration_valid_email">
			<input<?php if ($tpl['config']['users_registration_valid_email']) : ?> checked<?php endif; ?> id="users_registration_valid_email" name="config[users_registration_valid_email]" type="checkbox">
			<label for="users_registration_valid_email"><?php echo __('Valider les inscriptions par courriel'); ?></label>
		</p>
		<p class="field">
			<input name="config[_checkboxes][]" type="hidden" value="users_registration_valid_password">
			<input<?php if ($tpl['config']['users_registration_valid_password']) : ?> checked<?php endif; ?> id="users_registration_valid_password" name="config[users_registration_valid_password]" type="checkbox">
			<label for="users_registration_valid_password"><?php echo __('Valider les inscriptions par mot de passe'); ?></label>
		</p>
		<div class="field_sublvl">
			<p class="field">
				<label for="users_registration_password"><?php echo __('Mot de passe :'); ?></label>
				<input value="<?php echo $tpl['config']['users_registration_password']; ?>" id="users_registration_password" name="config[users_registration_password]" type="password" maxlength="255" size="50" class="large">
			</p>
			<p class="field">
				<label for="users_registration_password_text"><?php echo __('Indice pour le mot de passe :'); ?></label>
				<textarea rows="3" cols="30" id="users_registration_password_text" name="config[users_registration_password_text]"><?php echo $tpl['config']['users_registration_password_text']; ?></textarea>
			</p>
		</div>
	</fieldset>
	<fieldset>
		<legend><?php echo __('Informations de profil'); ?></legend>
		<table id="profile_infos" class="default">
			<tr>
				<th><?php echo __('Information'); ?></th>
				<th><?php echo __('Activer ?'); ?></th>
				<th><?php echo __('Obligatoire ?'); ?></th>
			</tr>
			<tr>
				<td><?php echo __('Pseudonyme'); ?></td>
				<td><input<?php if ($tpl['profile_params']['nickname']['activated']) : ?> checked<?php endif; ?> name="profile[nickname][activated]" type="checkbox"></td>
				<td><input<?php if ($tpl['profile_params']['nickname']['required']) : ?> checked<?php endif; ?> name="profile[nickname][required]" type="checkbox"></td>
			</tr>
			<tr>
				<td><?php echo __('Nom'); ?></td>
				<td><input<?php if ($tpl['profile_params']['name']['activated']) : ?> checked<?php endif; ?> name="profile[name][activated]" type="checkbox"></td>
				<td><input<?php if ($tpl['profile_params']['name']['required']) : ?> checked<?php endif; ?> name="profile[name][required]" type="checkbox"></td>
			</tr>
			<tr>
				<td><?php echo __('Prénom'); ?></td>
				<td><input<?php if ($tpl['profile_params']['firstname']['activated']) : ?> checked<?php endif; ?> name="profile[firstname][activated]" type="checkbox"></td>
				<td><input<?php if ($tpl['profile_params']['firstname']['required']) : ?> checked<?php endif; ?> name="profile[firstname][required]" type="checkbox"></td>
			</tr>
			<tr>
				<td><?php echo __('Genre'); ?></td>
				<td><input<?php if ($tpl['profile_params']['gender']['activated']) : ?> checked<?php endif; ?> name="profile[gender][activated]" type="checkbox"></td>
				<td><input<?php if ($tpl['profile_params']['gender']['required']) : ?> checked<?php endif; ?> name="profile[gender][required]" type="checkbox"></td>
			</tr>
			<tr>
				<td><?php echo __('Date de naissance'); ?></td>
				<td><input<?php if ($tpl['profile_params']['birthdate']['activated']) : ?> checked<?php endif; ?> name="profile[birthdate][activated]" type="checkbox"></td>
				<td><input<?php if ($tpl['profile_params']['birthdate']['required']) : ?> checked<?php endif; ?> name="profile[birthdate][required]" type="checkbox"></td>
			</tr>
			<tr>
				<td><?php echo __('Localisation'); ?></td>
				<td><input<?php if ($tpl['profile_params']['location']['activated']) : ?> checked<?php endif; ?> name="profile[location][activated]" type="checkbox"></td>
				<td><input<?php if ($tpl['profile_params']['location']['required']) : ?> checked<?php endif; ?> name="profile[location][required]" type="checkbox"></td>
			</tr>
			<tr>
				<td><?php echo __('Courriel'); ?></td>
				<td><input<?php if ($tpl['profile_params']['email']['activated']) : ?> checked<?php endif; ?> name="profile[email][activated]" type="checkbox"></td>
				<td><input<?php if ($tpl['profile_params']['email']['required']) : ?> checked<?php endif; ?> name="profile[email][required]" type="checkbox"></td>
			</tr>
			<tr>
				<td><?php echo __('Site Web'); ?></td>
				<td><input<?php if ($tpl['profile_params']['website']['activated']) : ?> checked<?php endif; ?> name="profile[website][activated]" type="checkbox"></td>
				<td><input<?php if ($tpl['profile_params']['website']['required']) : ?> checked<?php endif; ?> name="profile[website][required]" type="checkbox"></td>
			</tr>
			<tr>
				<td><?php echo __('Description'); ?></td>
				<td><input<?php if ($tpl['profile_params']['description']['activated']) : ?> checked<?php endif; ?> name="profile[description][activated]" type="checkbox"></td>
				<td><input<?php if ($tpl['profile_params']['description']['required']) : ?> checked<?php endif; ?> name="profile[description][required]" type="checkbox"></td>
			</tr>
<?php for ($n = 1; $n <= 5; $n++) : ?>
			<tr>
				<td><input name="profile[<?php echo 'custom_' . $n; ?>][name]" maxlength="64" size="25" type="text" value="<?php echo $tpl['profile_custom'][$n]; ?>"></td>
				<td><input<?php if ($tpl['profile_params']['custom_' . $n]['activated']) : ?> checked<?php endif; ?> name="profile[<?php echo 'custom_' . $n; ?>][activated]" type="checkbox"></td>
				<td><input<?php if ($tpl['profile_params']['custom_' . $n]['required']) : ?> checked<?php endif; ?> name="profile[<?php echo 'custom_' . $n; ?>][required]" type="checkbox"></td>
			</tr>
<?php endfor; ?>
		</table>
	</fieldset>
	<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
	<input type="submit" class="submit" value="<?php echo __('Enregistrer'); ?>">
</form>