<?php include('category_breadcrumb.tpl.php'); ?>

<?php if ($tpl['category']['description']) : ?>
<p class="object_desc" id="cat_desc"><?php echo $tpl['format_description']($tpl['category']['description']); ?></p>
<?php endif; ?>

<div id="pages_top">
<?php include('pagination.tpl.php'); ?>
</div>

<?php if (isset($tpl['categories'])) : ?>
<div id="thumbs_cat">
<?php foreach ($tpl['categories'] as &$i) : ?>
	<dl<?php if ($i['unlocked']) : ?> class="unlocked"<?php elseif ($i['locked']) : $locked = TRUE; ?> class="locked"<?php endif; ?>>
		<dt>
			<a href="<?php echo $i['link']; ?><?php if (!$i['locked']) : ?>#top<?php endif; ?>"<?php if ($i['locked']) : ?> data-box-name="box_password" data-cat-id="<?php echo $i['id']; ?>"<?php endif; ?>>
<?php if ($i['locked']) : ?>
				<span></span>
<?php else : ?>
				<img src="<?php echo $i['thumb_src']('232x167'); ?>"
<?php if ($i['thumb_type'] == 'video') : ?>
					data-video-id="<?php echo $i['thumb_id']; ?>"
<?php endif; ?>
				>
<?php endif; ?>
<?php if (!$i['locked'] && ($i['stats']['views'] || $i['stats']['comments'] || $i['stats']['votes'] || $i['stats']['favorites'])) : ?>
				<ul class="stats_icon">
<?php if ($i['stats']['views']) : ?>
					<li class="views">
						<span><?php echo $i['stats']['views']['short']; ?></span>
						<span class="icon">&#xe907;</span>
					</li>
<?php endif; ?>
<?php if ($i['stats']['comments']) : ?>
					<li class="comments">
						<span><?php echo $i['stats']['comments']['short']; ?></span>
						<span class="icon">&#xe932;</span>
					</li>
<?php endif; ?>
<?php if ($i['stats']['votes']) : ?>
					<li class="votes">
						<span><?php echo $i['stats']['votes']['short']; ?></span>
						<span class="icon">&#xe9d9;</span>
					</li>
<?php endif; ?>
<?php if ($i['stats']['favorites']) : ?>
					<li class="favorites">
						<span><?php echo $i['stats']['favorites']['short']; ?></span>
						<span class="icon">&#xe910;</span>
					</li>
<?php endif; ?>
				</ul>
<?php endif; ?>
			</a>
		</dt>
		<dd>
<?php if ($i['recent']['value'] && !$i['locked']) : ?>
			<a class="recent" title="<?php echo $i['recent']['text']; ?>" href="<?php echo $i['recent']['link']; ?>#top"><?php echo $i['recent']['value']; ?></a>
<?php endif; ?>
<?php if ($i['title']) : ?>
			<span class="title"><a <?php if ($i['locked']) : ?>data-box-name="box_password" data-cat-id="<?php echo $i['id']; ?>" <?php endif; ?>href="<?php echo $i['link']; ?>"><?php echo $i['title']; ?></a></span>
<?php endif; ?>
<?php if (!$i['locked']) : ?>
			<ul class="stats">
<?php if ($i['stats']['rating']) : ?>
				<li class="rating">
					<span title="<?php echo $i['stats']['rating']['formated']; ?>">
						<?php foreach ($i['stats']['rating']['array'] as $k => $v) : ?><span><?php if ($v == 1) : ?>&#xe9d9;<?php elseif ($v == 0) : ?>&#xe9d7;<?php else : ?>&#xe9d8;<?php endif; ?></span><?php endforeach; ?>
					</span>
				</li>
<?php endif; ?>
<?php if ($i['stats']['images'] || $i['stats']['videos']) : ?>
				<li class="items">
<?php if ($i['stats']['images']['value']) : ?>
					<span><?php echo $i['stats']['images']['formated']; ?></span>
<?php endif; ?>
<?php if ($i['stats']['videos']['value']) : ?>
					<span><?php echo $i['stats']['videos']['formated']; ?></span>
<?php endif; ?>
				</li>
<?php endif; ?>
<?php if ($i['stats']['albums'] || $i['stats']['filesize']) : ?>
				<li class="albums_filesize">
<?php if ($i['stats']['albums']) : ?>
					<span><?php echo $i['stats']['albums']['formated']; ?></span>
<?php endif; ?>
<?php if ($i['stats']['filesize']) : ?>
					<span><?php echo $i['stats']['filesize']['formated']; ?></span>
<?php endif; ?>
				</li>
<?php endif; ?>
			</ul>
<?php endif; ?>
		</dd>
	</dl>
<?php endforeach; ?>
</div>
<?php endif; ?>

<div id="pages_bottom">
<?php include('pagination.tpl.php'); ?>
</div>
