<div id="top"></div>

<p id="page_breadcrumb">
<?php
$category = sprintf($tpl['breadcrumb']['category_text'],
	'<a href="' . $tpl['breadcrumb']['category_link'] . '">' . $tpl['breadcrumb']['category_name'] . '</a>'
);
if (isset($tpl['breadcrumb']['user_link']))
{
	$user = '<a href="' . $tpl['breadcrumb']['user_link'] . '">' . $tpl['breadcrumb']['user_name'] . '</a>';
	printf($tpl['breadcrumb']['text'], $user, $category);
}
else
{
	printf($tpl['breadcrumb']['text'], $category);
}
?>
	[<?php echo $tpl['comments_count']; ?>]
</p>

<div id="pages_top">
<?php include('pagination.tpl.php'); ?>
</div>

<?php if ($tpl['comments']) : ?>
<div id="page_comments">
<?php foreach ($tpl['comments'] as &$i) : ?>
		<div class="comment">
			<div class="comment_top">
				<div class="comment_thumb">
					<a href="<?php echo $i['item_link']; ?>">
						<img src="<?php echo $i['item_thumb_src'](); ?>">
					</a>
				</div>
				<div class="comment_infos">
					<p class="comment_author">
						<span>
<?php if ($i['user_link']) : ?>
							<a href="<?php echo $i['user_link']; ?>">
<?php endif; ?>
								<?php echo $i['user_name']; ?>
<?php if ($i['user_link']) : ?>
							</a>
<?php endif; ?>
						</span>
<?php if ($i['user_website']) : ?>
						(<a href="<?php echo $i['user_website']; ?>"><?php echo __('site'); ?></a>)
<?php endif; ?>
					</p>
					<p class="comment_date"><?php echo $i['date']; ?></p>
					<p class="comment_date_short"><?php echo $i['date_short']; ?></p>
				</div>
				<div class="comment_num">
					<a href="<?php echo $i['link']; ?>">#<?php echo $i['num']; ?></a>
				</div>
			</div>
			<p class="comment_message"><?php echo $tpl['format_comment']($i['message']); ?></p>
		</div>
<?php endforeach; ?>
</div>
<?php else : ?>
<br><p class="message_info"><?php echo __('Aucun commentaire.'); ?></p><br>
<?php endif; ?>

<div id="pages_bottom">
<?php include('pagination.tpl.php'); ?>
</div>